@charset "UTF-8";
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");
@font-face {
  font-family: "mkpop";
  src: url("https://jp5.tokyo/fonts/MkPOP_101.woff")format("woff"),
        url("https://jp5.tokyo/fonts/MkPOP_101.ttf")format("truetype");
}

*,
*::before,
*::after {
  font-family: "Poppins", sans-serif;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  background: #fff;
  backdrop-filter: none;
}

#topbutton {
  /* ▼ボタンの表示位置を画面の右下に固定 */
  position: fixed; /* ←表示場所を固定 */
  bottom: 10px; /* ←下端からの距離 */
  right: 30px; /* ←右端からの距離 */

  /* ▼最初は非表示にしておく */
  /* display: none; */

  /* ▼配色・配置・文字の装飾など */
  background-color: #2525aa; /* ←背景色 */

  border-radius: 24px; /* ←角丸の半径 */
  text-align: center; /* ←文字の位置 */
  font-size: 110%; /* ←文字サイズ */
  font-weight: bold; /* ←文字の太さ */
  margin: 0px; /* ←外側の余白 */
  padding: 10px; /* ←内側の余白 */
  z-index: 10000;
  opacity: 0;
}
#topbutton a {
  /* ▼リンクの装飾 */
  color: white; /* ←文字色 */
  text-decoration: none; /* ←下線なし */
}
#topbutton a:hover {
  /* ▼マウスが載ったときの装飾 */
  color: yellow; /* ←文字色 */
  text-decoration: underline; /* ←下線あり */
}

.container {
  padding: 10px;
}

.sideIndex {
  position: absolute;
  top: 0px;
  left: -100%;
  width: 350px;
  height: 100vh;
  background: rgba(51, 51, 51, 0.85);
  padding: 80px 20px;
  color: #fff;
  transition: 0.5s ease;
  overflow-y: scroll;
}
.sideIndex.active {
  position: fixed;
  left: 0;
  z-index: 10000;
}

#icon {
  color: white;
  font-size: 30px;
  line-height: 80px;
  float: left;
  margin-left: 40px;
  cursor: pointer;
}
.menuBtn {
  display: block;
  height: 60px;
  width: 60px;
  /* background-color: pink; */
  position: fixed;
  top: 60px;
  left: 0;
  padding: 0;
  margin-top: 10px;
  background-color: #2e475f4d;
  z-index: 1000;
  opacity: 1;
}
.menuBtn div {
  height: 4px;
  width: 60%;
  background-color: white;
  position: absolute;
  border-radius: 5px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: 0.3s;
}
.menuBtn div:nth-of-type(1) {
  transform: translate(-50%, -17px);
}

.menuBtn div:nth-of-type(3) {
  transform: translate(-50%, 14px);
}
.menuBtn.active div:nth-of-type(1) {
  transform: rotate(45deg) translate(-50%, 0px);
  transform-origin: 0% 50%;
}
.menuBtn.active div:nth-of-type(2) {
  opacity: 0;
}
.menuBtn.active div:nth-of-type(3) {
  transform: rotate(-45deg) translate(-50%, 0px);
  transform-origin: 0% 50%;
}

.sideIndex h2 {
  padding: 10px;
  margin-bottom: 29px;
  font-size: 20px;
  text-align: center;
  border: 1px solid #fff;
  border-radius: 7px;
}
#indexN1,
#indexN2,
#indexN3 {
  margin-bottom: 30px;
}
.sideIndex a {
  text-decoration: none;
  color: #fff;
}
.sideIndex li {
  position: relative;
  list-style: none;
  margin: 15px 0;
  padding-left: 15px;
  font-family: "Courier New", Courier, monospace;
}
.sideIndex li::before {
  content: "○";
  position: absolute;
  top: -2px;
  left: -5px;
}
h1 {
  background: #333;
  margin: 1rem auto;
  padding: 10px;
  color: #fff;
  text-align: center;
  width: 95%;
}
h2 {
  width: 95%;
  margin: 10px auto;
  padding-left: 2rem;
  margin-bottom: 30px;
  border-left: 5px red solid;
  border-bottom: 1px #333 dotted;
}

.index {
  padding: 5px;
  margin-bottom: 25px;
  color: #2525aa;
  font-size: 2rem;
  font-weight: bold;
  text-align: center;
  border-bottom: 2px dotted #2525aa;
}

main .whiteBoard {
  margin: 100px auto;
}
main .whiteBoard ol li::before {
  top: 5px;
}

ol li a {
  text-decoration: none;
}

main section {
  padding: 30px;
  width: 100%;
}

main section .wrapper {
  padding: 15px;
  display: block;
}
.wrapper p {
  line-height: 1.6rem;
  margin-bottom: 0.5rem;
}
.connection,
.mean,
.ex {
  padding: 10px;
}
[class^="ex"] {
  margin-bottom: 2rem;
  position: relative;
  padding-right: 1.5rem;
}
.wrapper .comment {
  margin-bottom: 50px;
}
.comment p{
  margin: 1.5rem 0;
}
.comment .comparison{
  padding: 7px;
  background: purple;
  color: #fff;
  border-radius: 6px;
}
.j {
  font-weight: bold;
}
.ch {
  color: #2525aa;
}
.red {
  color: red;
  font-weight: bold;
}
.blue {
  color: blue;
  font-weight: bold;
}
.gray{
  color: gray;
  font-size: .8em;
}
.kasen {
  text-decoration: underline 2px solid red;
  text-underline-offset: 3px;
}

.ex .material-symbols-outlined {
  font-variation-settings: "FILL" 0, "wght" 500, "GRAD" 0, "opsz" 48;
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
  font-weight: bold;
  color: blue;
  cursor: pointer;
}

.btn span.material-symbols-outlined{
  right: 20px;
}

.sen {
  border-top: 1px dotted #333;
  width: 100%;
  margin: 100px 0;
}

.wrapper table th{
  background: #5a95ff;
  transition: all .5s ease;
}
.wrapper table th,
.wrapper table td{
  border: 1px solid #333;
  padding: .5rem 1rem;
}
.wrapper table th a{
  text-decoration: none;
  color: #fff;
}
.wrapper table th:hover {
  background: #fff;
}
.wrapper table th:hover a{
  color: #5a95ff;
  text-decoration: underline;
}

a.modoru {
  display: block;
  position: relative;
  margin: 5px auto;
  padding: 0.5rem 1rem;
  background: rgb(172, 255, 255);
  border-radius: 7px;
  overflow: hidden;
  text-decoration: none;
  color: #fff;
  font-weight: bold;
  text-align: center;
  text-shadow: 1px 1px 2px #333;
  transition: 0.3s ease;
}
a.modoru:hover {
  background: #fff;
  border: 1px solid rgb(172, 255, 255);
  color: rgb(172, 255, 255);
  transform: translateY(-5px);
  box-shadow: 0 10px 10px #333;
}
a.modoru::after {
  content: "";
  position: absolute;
  top: -100px;
  left: -100px;
  width: 50px;
  height: 50px;
  background-image: linear-gradient(
    100deg,
    rgba(255, 255, 255, 0) 10%,
    rgba(255, 255, 255, 1) 100%,
    rgba(255, 255, 255, 0) 0%
  );
  animation-name: shiny;
  animation-duration: 3s;
  animation-timing-function: ease-in-out;
  animation-iteration-count: infinite;
}

/* 会話アニメーション */
main .conversation{
  margin: 100px auto;
}
main .wrapper img {
  width: 70px;
  height: 70px;
  object-fit: cover;
  margin: 10px;
  margin-right: 40px;
  border-radius: 50%;
}
main .wrapper {
  display: flex;
  align-items: center;
  padding: 10px;
  opacity: 0;
  transition: all 1s ease;
}
main .wrapper.active {
  animation: appear 2s forwards;
}
@keyframes appear {
  0% {
    opacity: 0;
    transform: translateY(50px);
  }
  50% {
    transform: translateY(-20px);
  }
  100% {
    opacity: 1;
    transform: none;
  }
}
main .wrapper:nth-of-type(even) {
  flex-direction: row-reverse;
}
main .wrapper:nth-of-type(even) img {
  margin-left: 40px;
}
.personA,
.personB {
  position: relative;
  max-width: 500px;
  height: 100%;
  padding: 20px;
  text-align: left;
  line-height: 1em;
  color: #333;
  font-size: 20px;
  font-weight: bold;
  border-radius: 15px;
  -webkit-border-radius: 15px;
  -moz-border-radius: 15px;
  /* text-shadow: 1px 1px 2px #111; */
}
.personA {
  background: rgb(249, 232, 235);
  /* border: 2px solid #999; */
}
.personB {
  background: rgb(224, 224, 253);
  /* border: 2px solid #999; */
}
.personA:after,
.personA:before,
.personB:after,
.personB:before {
  border: solid transparent;
  content: "";
  height: 0;
  width: 0;
  pointer-events: none;
  position: absolute;
  top: 50%;
}
.personA:after,
.personA:before {
  right: 100%;
}
.personB:after,
.personB:before {
  left: 100%;
}
.personA::after,
.personB::after {
  border-top-width: 10px;
  border-bottom-width: 10px;
  border-left-width: 20px;
  border-right-width: 20px;
  margin-top: -10px;
}
.personA:after {
  border-color: #33333300;
  border-right-color: rgb(249, 232, 235);
}
.personB:after {
  border-color: #33333300;
  border-left-color: rgb(224, 224, 253);
}
.personA:before,
.personB:before {
  border-top-width: 12px;
  border-bottom-width: 12px;
  border-left-width: 24px;
  border-right-width: 24px;
  margin-top: -12px;
}
.personA:before {
  border-color: rgba(56, 155, 12, 0);
  margin-right: 1px;
  border-right-color: #33333300;
}
.personB:before {
  border-color: rgba(155, 53, 10, 0);
  margin-left: 1px;
  border-left-color: #33333300;
}

@keyframes slide {
  0% {
    transform: translateX(-50%);
    opacity: 0;
  }
  20% {
    transform: translateX(0px);
    opacity: 1;
  }
}
main .wrapper.active > .textAni > span > span {
  animation: slide 0.5s ease-in-out backwards;
  font-family: "mkpop", sans-serif;
}
.textAni span {
  display: inline-block;
  overflow: hidden;
}


@keyframes shiny {
  0% {
    transform: scale(0) rotate(25deg);
    opacity: 0;
  }
  50% {
    transform: scale(1) rotate(25deg);
    opacity: 1;
  }
  100% {
    transform: scale(50) rotate(25deg);
    opacity: 0;
  }
}

@media (max-width: 970px) {
  .container {
    display: grid;
    grid-template:
      "main"
      "aside";
  }

  main section p {
    font-size: 1rem;
  }
}
@media (max-width: 480px) {
  h1{
    font-size: 1.2rem;
  }
  .index {
    font-size: 1.5rem;
  }
  main .whiteBoard ol li::before {
    top: 0;
  }
  main section {
    padding: 5px;
    width: 98%;
  }
  main section .wrapper {
    padding: 0;
  }
  .ex{
    padding-right: 10px !important;
  }
  main .wrapper {
    margin: 0;
    padding: 10px 0;
  }
  main .wrapper img {
    width: 30px;
    height: 30px;
    margin-right: 25px;
  }
  .personA, .personB{
    font-size: 1.1rem;
  }

}
